# Setup

git clone --recurse-submodules https://lab.enough.community/dachary/rezo-import
echo layout python3 > .envrc
direnv allow .
pip install --upgrade pip
pip install poetry
poetry install
pip install -e ./mailman2discourse

# Create the backup

ORG=org LISTS="listone listtwo" MAILMAN2DISCOURSE_OPTIONS=--force-private POP_PASSWORD=password API_PASSWORD=password ADMIN_EMAIL=someone@example.com ADMIN_PASSWORD=securepass ./rezo-import |& tee import.out

# Manually verify it looks good

firefox http://forumv2.7.0.example.com/

# Upgrade Discourse

The /srv/discourse_docker will not upgrade automatically: it was
checked out at a specific version and ./launcher rebuild app will
not attempt to pull the latest changes. This is deliberate an very
important to ensure the stable version keeps running: there is no
guarantee that the tip of
https://github.com/discourse/discourse_docker is suitable to deploy a
past docker version. It is only guaranteed to deploy the latest stable
and the latest development version.

## On laptop

Verify the target discourse version can be installed.

$ git clone https://lab.enough.community/discourse/mailman2discourse
$ cd mailman2discourse
$ tests/build-discourse v2.7.4
$ tox -e py3 -- --discourse v2.7.4 tests

## On porter2

$ cd /srv/rezo-import
$ DISCOURSE_VERSION=v2.7.4 ./create-app.sh
--- /srv/discourse_docker/containers/app.yml-backup-1626503359  2021-07-17 08:29:19.447460370 +0200
+++ /srv/discourse_docker/containers/app.yml    2021-07-17 08:29:19.487461150 +0200
@@ -164,8 +164,8 @@
     - exec:
         cd: $home
         cmd:
-          - git fetch --depth=1 origin tag v2.7.0 --no-tags
-          - git checkout v2.7.0
+          - git fetch --depth=1 origin tag v2.7.4 --no-tags
+          - git checkout v2.7.4
 
   before_bundle_exec:
     - file:
$ cd /srv/discourse_docker
$ ./launcher rebuild app

# On porter2

ORG=example DOMAIN=discourse.example.com DISCOURSE_VERSION=v2.7.0 ./porter2-import |& tee import.out

If the site is not converted from mailman:

ORG=example ./create-admin.sh admin


