#!/bin/bash

set -ex

( 
    cat <<EOF
server {

        listen 80;
        listen [::]:80;

        server_name $DOMAIN;
EOF
   cat <<'EOF'
        location / {
            proxy_pass http://127.0.0.1:8000;
            proxy_set_header X-Real-IP  $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto https;
            proxy_set_header X-Forwarded-Port 443;
            proxy_set_header Host $host;
        }
        client_max_body_size 10m;

}
EOF
) > /etc/nginx/sites-available/$DOMAIN
cd /etc/nginx/sites-enabled
ln -sf ../sites-available/$DOMAIN
mkdir -p /var/www/html/letsencrypt
#/usr/bin/letsencrypt certonly --keep --webroot --agree-tos -w /var/www/html/letsencrypt/ --email loic@dachary.org --expand -d $DOMAIN
/usr/bin/letsencrypt --redirect --nginx --agree-tos --email loic@dachary.org -d $DOMAIN 
service nginx restart
